//function sdkControl(){
var GET_CP_ID = 		1;	//cp编号
var GET_PRODUCT_ID = 	2;	//产品编号
var GET_CHANNEL_ID = 	3;	//渠道id
var GET_PRODUCT_NAME =  4;	//产品名称
var GET_USER_ACCOUNT = 	5;	//用户账号
var GET_NICK_NAME = 	6;	//用户昵称
var GET_AMOUNT = 		7;	//指定支付的金额，0表示未指定
var GET_SDK_VERSION = 	8;	//SDK版本号
var GET_SDK_ID = 		9;	//SDK编号
var GET_OS = 			10;	//操作系统
var GET_MODEL = 		11; //手机型号
var GET_EXPAND = 		12; //扩展参数
var GET_NET_TYPE = 		13;	//网络类型
var GET_SID = 			14;	//会话id
var GET_NOTIFY = 		15;	//回调通知地址
var GET_SMS_CENTER = 	16;	//回调通知地址
var GET_IMSI = 			17;	//回调通知地址
var GET_FASTER = 		18;	//快捷支付
var GET_UNABLE_PAY = 	19;	//快捷支付
var GET_PAY_TIP = 		20;	//支付提示
var GET_ATTACH_INFO = 	21;	//附加信息
var GET_IMEI = 			22;	//附加信息
var GET_ICCID = 		23;	//附加信息
var GET_URI = 			24;	//附加信息

//document.write("<script language='javascript' src='main.js'></script>");

function jsonToString (obj){   
    var THIS = this;    
    switch(typeof(obj)){   
        case 'string':   
            return '"' + obj.replace(/(["\\])/g, '\\$1') + '"';   
        case 'array':   
            return '[' + obj.map(THIS.jsonToString).join(',') + ']';   
        case 'object':   
             if(obj instanceof Array){   
                var strArr = [];   
                var len = obj.length;   
                for(var i=0; i<len; i++){   
                    strArr.push(THIS.jsonToString(obj[i]));   
              }   
              return '[' + strArr.join(',') + ']';   
            }else if(obj==null){   
                return 'null';  
                }else{   
                    var string = [];   
                    for (var property in obj) string.push(THIS.jsonToString(property) + ':' + THIS.jsonToString(obj[property]));   
                return '{' + string.join(',') + '}';   
            }   
        case 'number':   
            return obj;   
        case false:   
            return obj;   
    }   
}
 
function stringToJSON(obj){   
    return eval_r('(' + obj + ')');   
}

//调用示例createOrder({orderId:orderId, orderAmount:amount, payWayName:'', payWay:orderInfo.payTypeId});
function createOrder(orderInfo){
	window.sdk.createOrder(jsonToString(orderInfo));
}

var paySucc;
var payFail;

//payInfo为json格式,如:{amount:10}
function payment(type, payInfo, funcLoadSucc, funcLoadFail){
	 var temp = jsonToString(payInfo);
     //alert('payInfo:' + temp);
	//result = window.sdk.pay(type, jsonToString(payInfo));
     paySucc = funcLoadSucc;
     payFail = funcLoadFail;
     result = window.sdk.pay(type, temp);
	//var status = result.status; 
	//if (status == "ok") 
	//	funcLoadSucc(result.code);
	//else
	//	funcLoadFail(result.code);
}

function payNotify(result){
	var temp = jsonToString(result);
	//alert('payNotify result:' + temp);
	var status = result.status; 
	//alert('payNotify status:' + status);
	if (status == "ok") 
		paySucc(result.code);
	else
		payFail(result.code);
}

var page = 'mainPage';

function setPage(nowPage){
	page = nowPage;
	window.sdk.setPage(page);
}

function pageBack(){
	if(page != 'mainPage'){
		baseInputPanel.gotoBack(page);
	}
}

function exitSdk(){
	window.sdk.onClickExit("exit");
}

function getData(action, param1, param2){
	if(action == GET_CP_ID)	
		return window.sdk.getCpId();
	else if(action == GET_PRODUCT_ID)
		return window.sdk.getProductId();
	else if(action == GET_CHANNEL_ID)
		return window.sdk.getChannelId();
	else if(action == GET_PRODUCT_NAME)
		return window.sdk.getProductName();
	else if(action == GET_USER_ACCOUNT)
		return window.sdk.getUserAccount();
	else if(action == GET_NICK_NAME)
		return window.sdk.getNickName();
	else if(action == GET_AMOUNT)
		return window.sdk.getAmount();
	else if(action == GET_SDK_VERSION)
		return window.sdk.getSdkVersion();
	else if(action == GET_SDK_ID)
		return window.sdk.getSdkId();
	else if(action == GET_OS)
		return window.sdk.getOS();
	else if(action == GET_MODEL)
		return window.sdk.getModel();
	else if(action == GET_EXPAND)
		return window.sdk.getExpand();
	else if(action == GET_NET_TYPE)
		return window.sdk.getNetType();
	else if(action == GET_SID)
		return window.sdk.getSid();
	else if(action == GET_NOTIFY)
		return window.sdk.getNotify();
	else if(action == GET_SMS_CENTER)
		return window.sdk.getSmsCenter();
	else if(action == GET_IMSI)
		return window.sdk.getImsi();
	else if(action == GET_FASTER)
		return window.sdk.getFaster();
	else if(action == GET_UNABLE_PAY)
		return window.sdk.getUnablePay();
	else if(action == GET_PAY_TIP)
		return window.sdk.getPayTip();
	else if (action == GET_ATTACH_INFO)
		return window.sdk.getAttachInfo();
	else if (action == GET_IMEI)
		return window.sdk.getImei();
	else if (action == GET_ICCID)
		return window.sdk.getIccid();
	else if(action == GET_URI)
		return window.sdk.getUri();
}
